<?php

    // Category Position

    foreach ($_POST["value"] as $key => $value) {
        $data["t_pos"] = $key + 1;
        updatePosition($data, $value);
    }

    // echo "Position Saved";

    function updatePosition($data, $id) {

        include "../../db.php";

        if(array_key_exists("t_id", $data)){
            $data["t_id"] = $this->real_escape_string($data["t_id"]);
        }
        foreach ($data as $key => $value) {
            $value="'$value'";
            $updates[]="$key = $value";
        }
        $imploadAray=  implode(",", $updates);

        $query = "UPDATE team SET $imploadAray WHERE t_id = '$id'";

        // echo '<pre>';print_r($query);exit();

        $result = mysqli_query($con, $query) or die(mysqli_error($con));

        if ($result) {
            return "Position Set";
        } else {
            return "Error while updating position";
        }
    }
?>